"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _rebass = require("rebass");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getBackgroundColor = function getBackgroundColor(_ref) {
  var theme = _ref.theme;
  return {
    backgroundColor: theme.colors.primary
  };
};

var getHoverBackgroundColor = function getHoverBackgroundColor(_ref2) {
  var theme = _ref2.theme;
  return {
    backgroundColor: theme.colors.primaryHover
  };
};

var Button = (0, _styledComponents.default)(_rebass.Button).withConfig({
  displayName: "Buttonstyle__Button",
  componentId: "sc-1w4x6g2-0"
})(["", " &:hover{", "}"], getBackgroundColor, getHoverBackgroundColor);
exports.Button = Button;