"use strict";

function _templateObject() {
  var data = _taggedTemplateLiteral(["", ""]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _rebass = require("rebass");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var displayName = 'Divider';
var sizes = {
  none: 0,
  sm: [1, 2],
  md: [2, 3],
  lg: [3, 4],
  xl: [4, 5]
};
var defaultProps = {
  bg: 'text03',
  size: 'md'
};

var Divider = function Divider(props) {
  return _react.default.createElement(_StyledBox, _extends({}, props, {
    as: "hr",
    my: sizes[props.size],
    _css: {
      border: 0,
      height: 1
    }
  }));
};

Divider.displayName = displayName;
Divider.defaultProps = defaultProps;
var _default = Divider;
exports.default = _default;

var _StyledBox = (0, _styledComponents.default)(_rebass.Box)(_templateObject(), function (p) {
  return p._css;
});