"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Container = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _rebass = require("rebass");

var _breakpoint = _interopRequireDefault(require("../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["", ""]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var getMaxWidth = function getMaxWidth(_ref) {
  var fluid = _ref.fluid,
      width = _ref.width;
  return {
    maxWidth: fluid ? '100%' : "".concat(width, "px")
  };
};

var Container = (0, _styledComponents.default)(_rebass.Box).withConfig({
  displayName: "Containerstyle__Container",
  componentId: "sc-1v0ojfp-0"
})(["margin:0 auto;width:100%;position:relative;", ""], _breakpoint.default.md(_templateObject(), getMaxWidth));
exports.Container = Container;