"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SplitColumn = exports.Split = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _rebass = require("rebass");

var _breakpoint = _interopRequireDefault(require("../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["display: block;"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    flex-direction: row;\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Split = (0, _styledComponents.default)(_rebass.Box).withConfig({
  displayName: "Splitstyle__Split",
  componentId: "sc-1ax2dcc-0"
})(["", ""], _breakpoint.default.sm(_templateObject()));
exports.Split = Split;
var SplitColumn = (0, _styledComponents.default)(function (_ref) {
  var component = _ref.component,
      _flex = _ref.flex,
      _show = _ref.show,
      props = _objectWithoutProperties(_ref, ["component", "flex", "show"]);

  return _react.default.cloneElement(component, _objectSpread({}, props));
}).withConfig({
  displayName: "Splitstyle__SplitColumn",
  componentId: "sc-1ax2dcc-1"
})(["display:", ";flex:", ";", ""], function (props) {
  return props.show ? 'block' : 'none';
}, function (props) {
  return props.flex ? '1 1' : '0 0 auto';
}, _breakpoint.default.sm(_templateObject2()));
exports.SplitColumn = SplitColumn;
SplitColumn.propTypes = {
  className: _propTypes.default.string,
  component: _propTypes.default.node,
  flex: _propTypes.default.bool
};