"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.getCurrentYear = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable-next-line */
var displayName = 'Copyright';

var getCurrentYear = function getCurrentYear() {
  return new Date().getFullYear().toString();
};

exports.getCurrentYear = getCurrentYear;
var propTypes = {
  end: _propTypes.default.string,
  org: _propTypes.default.string,
  start: _propTypes.default.string
};
var defaultProps = {
  end: getCurrentYear()
};

var Copyright = function Copyright(_ref) {
  var start = _ref.start,
      end = _ref.end,
      org = _ref.org;
  return _react.default.createElement(_react.default.Fragment, null, "\xA9 ", start, " ", start && end && '-', " ", end, " ", org);
};

Copyright.displayName = displayName;
Copyright.propTypes = propTypes;
Copyright.defaultProps = defaultProps;
var _default = Copyright;
exports.default = _default;