"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Layer = _interopRequireDefault(require("../../Modules/Layer"));

var S = _interopRequireWildcard(require("./MobileNavigation.style"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var displayName = 'MobileNavigation';
var defaultProps = {
  open: false,
  showOnDesktop: false
};

var MobileNavigation =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(MobileNavigation, _React$PureComponent);

  function MobileNavigation(props) {
    var _this;

    _classCallCheck(this, MobileNavigation);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(MobileNavigation).call(this, props));

    _this.handleOnClose = function (e) {
      _this.setState({
        open: false
      });

      return _this.props.onClose ? _this.props.onClose(e) : null;
    };

    _this.handleOnOpen = function (e) {
      _this.setState({
        open: true
      });

      return _this.props.onOpen ? _this.props.onOpen(e) : null;
    };

    _this.state = {
      open: props.open
    };
    return _this;
  }

  _createClass(MobileNavigation, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(S.MobileNavigationButton, {
        onClick: this.handleOnOpen,
        showOnDesktop: this.props.showOnDesktop
      }, _react.default.createElement(S.MobileNavigationBar, null), _react.default.createElement(S.MobileNavigationBar, null), _react.default.createElement(S.MobileNavigationBar, null)), _react.default.createElement(_Layer.default, {
        onClose: this.handleOnClose,
        open: this.state.open,
        overlay: false
      }, _react.default.createElement(S.MobileNavigationDrawer, null, _react.default.createElement(S.MobileNavigationContent, null, this.props.children), _react.default.createElement(S.MobileNavigationClose, {
        onClick: this.handleOnClose
      }, "\xD7"))));
    }
  }]);

  return MobileNavigation;
}(_react.default.PureComponent);

MobileNavigation.displayName = displayName;
MobileNavigation.defaultProps = defaultProps;
var _default = MobileNavigation;
exports.default = _default;