"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.breakpoints = void 0;

var _styledComponents = require("styled-components");

var breakpoints = {
  sm: '40em',
  md: '52em',
  lg: '64em'
};
exports.breakpoints = breakpoints;
var breakpoint = Object.keys(breakpoints).reduce(function (acc, label) {
  acc[label] = function () {
    return (0, _styledComponents.css)(["@media (min-width:", "){", "}"], breakpoints[label], _styledComponents.css.apply(void 0, arguments));
  };

  return acc;
}, {});
var _default = breakpoint;
exports.default = _default;