"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var types = {
  start: 'flex-start',
  end: 'flex-end',
  center: 'center',
  between: 'space-between',
  around: 'space-around',
  evenly: 'space-evenly'
};

var _justify = function _justify(justify) {
  return {
    justifyContent: types[justify]
  };
};

var _default = function _default(_ref) {
  var _ref$justify = _ref.justify,
      justify = _ref$justify === void 0 ? 'start' : _ref$justify;
  return justify && _justify(justify);
};

exports.default = _default;