"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mx = exports.my = exports.mr = exports.ml = exports.mb = exports.mt = exports.m = void 0;

var _styledComponents = require("styled-components");

var _spacing = _interopRequireDefault(require("./spacing"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var m = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["margin:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.m = m;
var mt = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["margin-top:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.mt = mt;
var mb = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["margin-bottom:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.mb = mb;
var ml = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["margin-left:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.ml = ml;
var mr = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["margin-right:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.mr = mr;
var my = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["margin-top:", "px;margin-bottom:", "px;"], _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.my = my;
var mx = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["margin-left:", "px;margin-right:", "px;"], _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.mx = mx;