"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _context = require("../context");

var S = _interopRequireWildcard(require("./ListItem.style"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var displayName = 'ListItem';
var defaultProps = {};

var ListItem = function ListItem(props) {
  return _react.default.createElement(_context.ListContext.Consumer, null, function (_ref) {
    var inline = _ref.inline,
        responsive = _ref.responsive,
        size = _ref.size;
    return _react.default.createElement(S.ListItem, _extends({
      inline: inline,
      responsive: responsive,
      size: size
    }, props));
  });
};

ListItem.displayName = displayName;
ListItem.defaultProps = defaultProps;
var _default = ListItem;
exports.default = _default;