"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var displayName = 'LayerOverlay';
var propTypes = {};
var defaultProps = {};

var LayerOverlay = _styledComponents.default.div.withConfig({
  displayName: "LayerOverlay",
  componentId: "sc-19rbx73-0"
})(["position:fixed;top:0;left:0;right:0;bottom:0;background-color:", ";z-index:100;"], function (props) {
  return props.overlay ? 'rgba(0,0,0,0.1)' : 'transparent';
});

LayerOverlay.displayName = displayName;
LayerOverlay.propTypes = propTypes;
LayerOverlay.defaultProps = defaultProps;
var _default = LayerOverlay;
exports.default = _default;