"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var types = {
  row: 'row',
  column: 'column',
  columnReverse: 'column-reverse',
  rowReverse: 'row-reverse'
};

var _direction = function _direction(_ref) {
  var _ref$direction = _ref.direction,
      direction = _ref$direction === void 0 ? 'column' : _ref$direction,
      _ref$responsive = _ref.responsive,
      responsive = _ref$responsive === void 0 ? true : _ref$responsive,
      _ref$reverse = _ref.reverse,
      reverse = _ref$reverse === void 0 ? false : _ref$reverse;
  var directions = {
    column: reverse ? types.columnReverse : types.column,
    row: reverse ? types.rowReverse : types.row
  };
  return {
    flexDirection: responsive ? directions.column : directions[direction],
    '@media (min-width: 768px)': {
      flexDirection: directions[direction]
    }
  };
};

var _default = _direction;
exports.default = _default;