"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.px = exports.py = exports.pr = exports.pl = exports.pb = exports.pt = exports.p = void 0;

var _styledComponents = require("styled-components");

var _spacing = _interopRequireDefault(require("./spacing"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var p = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["padding:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.p = p;
var pt = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["padding-top:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.pt = pt;
var pb = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["padding-bottom:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.pb = pb;
var pl = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["padding-left:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.pl = pl;
var pr = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["padding-right:", "px;"], _spacing.default[label]);
  return acc;
}, {});
exports.pr = pr;
var py = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["padding-top:", "px;padding-bottom:", "px;"], _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.py = py;
var px = Object.keys(_spacing.default).reduce(function (acc, label) {
  acc[label] = (0, _styledComponents.css)(["padding-left:", "px;padding-right:", "px;"], _spacing.default[label], _spacing.default[label]);
  return acc;
}, {});
exports.px = px;